
Katello - Feature #36261

ACS - Handle bulk tasks better in the UI

03/31/2023 03:28 PM - Samir Jha

Status: New   

Priority: Normal   

Assignee:    

Category: Alternate Content Sources   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On the ACS index page, when a bulk task is started, the API returns as soon as the bulk task is planned without waiting for child

tasks to get planned. As a result, the reloaded page may not have an indication of a background task against individual ACSs.

Handle this case better by modifying the UI state alone looking at which ACSs were passed to the bulk task and display a running

icon even when API doesn't return a running task against those ACSs.

History

#1 - 04/05/2023 05:31 PM - Samir Jha

- Target version set to Katello 4.9.0

#2 - 04/05/2023 05:44 PM - Partha Aji

- Triaged changed from No to Yes

#3 - 05/26/2023 09:22 PM - Samir Jha

- Target version changed from Katello 4.9.0 to Katello 4.10.0

#4 - 09/14/2023 08:28 PM - Samir Jha

- Target version changed from Katello 4.10.0 to Katello 4.12.0

#5 - 03/27/2024 01:25 PM - Quinn James

- Target version changed from Katello 4.12.0 to Katello 4.13.0

Bumping to 4.13
